#!/usr/local/hirad-venv/bin/python
from libs.networks import Network
from libs.track import get_track_details


def get_tracks_list(tracks_list, net_name):
    with open(net_name + ".txt", "w") as file:
        for i, track in enumerate(tracks_list):
            artist, title, _, date, timestamp = get_track_details(track)
            line = f"{artist} - {title} - {timestamp}\n"
            file.write(line)
            print(line)


if __name__ == '__main__':
    network = None
    net = input("Enter network name: ")
    if net == "lastfm":
        network = Network(Network.get_network("LastFM"))
    elif net == "lonestar":
        network = Network(Network.get_network("LoneStar"))

    number_of_tracks = int(input("Enter number of tracks: "))

    result = network.get_tracks(number_of_tracks, None, None)
    get_tracks_list(result, net)
